DELETE_MODULE(2)

NAME
delete_module - delete a loadable module entry

SYNOPSIS
#include <linux/module.h>

int delete_module(const char *name);

DESCRIPTION
delete_module() attempts to remove an unused loadable module entry. If name is NULL, all unused modules marked auto-clean will be removed. This system call requires privilege.

RETURN VALUE
On success, zero is returned. On error, -1 is returned and errno is set appropriately.

ERRORS

EBUSY
    The module is in use.

EFAULT
    name is outside the program's accessible address space.

EINVAL
    name was an empty string.

ENOENT
    No module by that name exists.

EPERM
    The caller was not privileged (did not have the CAP_SYS_MODULE capability).

CONFORMING TO
delete_module() is Linux specific.

SEE ALSO
create_module(2), init_module(2), query_module(2)